package com.cool.bang.modules.business.domain;

import com.cool.bang.common.base.BaseDomain;
import com.cool.bang.common.constant.enums.StatusType;

/**
 * 首页信息
 *
 * @author Sy
 * 2024-11-11 13:42
 */
public class JobHomePath extends BaseDomain {

    private static final long serialVersionUID = 1L;

    private Integer id;

    /**
     * 跳转地址
     */
    private String url;

    /**
     * 首页图片位置 1顶部 2中部
     */
    private Integer type;

    /**
     * 图片地址
     */
    private String path;

    /**
     * 删除标识 1正常 0删除
     */
    private Integer delFlag;

    @Override
    public void insertConfigure() {
        super.insertConfigure();
        this.delFlag = StatusType.ENABLE.ordinal();
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public String getPath() {
        return path;
    }

    public void setPath(String path) {
        this.path = path;
    }

    public Integer getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(Integer delFlag) {
        this.delFlag = delFlag;
    }
}
